Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ddm.impl
Class DatabaseConnectionImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.ddm.impl.DatabaseConnectionImpl

All Implemented Interfaces:
  DatabaseConnection

    public class DatabaseConnectionImpl

extends Object
implements DatabaseConnection

Constructor Summary
`DatabaseConnectionImpl(Database database, String userID, String password)`

Method Summary
`void` | `close()`
`ResultSet` | `executeQuery(String query)`
`Database` | `getDatabase()`
`Set<ForeignKey>` | `getForeignKeys()`
`Set<ForeignKey>` | `getForeignKeys(String schemaName)`
`String` | `getPassword()`
`Set<PrimaryKey>` | `getPrimaryKeys()`
`Set<PrimaryKey>` | `getPrimaryKeys(String schemaName)`
`Set<String>` | `getSchemaNames()`
`Set<Table>` | `getTables()`
`Set<Table>` | `getTables(String schemaName)`
`String` | `getUserID()`
`boolean` | `isOpen()`
`void` | `open()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseConnectionImpl

    public DatabaseConnectionImpl(Database database,
                                  String userID,
                                  String password)
                           throws SQLException

Throws:
  `SQLException`

Method Detail

### open

    public void open()
              throws JDBCException,
                     SQLException

  Specified by:
    `open` in interface `DatabaseConnection`
  Throws:
    `JDBCException`
    `SQLException`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `DatabaseConnection`

### getDatabase

    public Database getDatabase()

  Specified by:
    `getDatabase` in interface `DatabaseConnection`

### executeQuery

    public ResultSet executeQuery(String query)
                           throws SQLException

  Specified by:
    `executeQuery` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### getUserID

    public String getUserID()

  Specified by:
    `getUserID` in interface `DatabaseConnection`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `DatabaseConnection`

### getSchemaNames

    public Set<String> getSchemaNames()
                               throws SQLException

  Specified by:
    `getSchemaNames` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### getTables

    public Set<Table> getTables(String schemaName)
                         throws SQLException

  Specified by:
    `getTables` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### getPrimaryKeys

    public Set<PrimaryKey> getPrimaryKeys(String schemaName)
                                   throws SQLException

  Specified by:
    `getPrimaryKeys` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### getForeignKeys

    public Set<ForeignKey> getForeignKeys(String schemaName)
                                   throws SQLException

  Specified by:
    `getForeignKeys` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### getTables

    public Set<Table> getTables()
                         throws SQLException

  Specified by:
    `getTables` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### getPrimaryKeys

    public Set<PrimaryKey> getPrimaryKeys()
                                   throws SQLException

  Specified by:
    `getPrimaryKeys` in interface `DatabaseConnection`
  Throws:
    `SQLException`

### getForeignKeys

    public Set<ForeignKey> getForeignKeys()
                                   throws SQLException

  Specified by:
    `getForeignKeys` in interface `DatabaseConnection`
  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.